Listar templates
curl --request GET \
--url https://api.notifique.dev/v1/templates \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.notifique.dev/v1/templates', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.notifique.dev/v1/templates"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.notifique.dev/v1/templates"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"success": true,
"data": [
{
"id": "cltmpl01abc",
"workspaceId": "clws01xyz",
"name": "alerta_pedido",
"category": "TRANSACTIONAL",
"language": "pt_BR",
"source": null,
"status": "ACTIVE",
"metaId": null,
"type": null,
"components": null,
"variables": [
"codigo",
"name"
],
"variableDefaults": {
"name": "Cliente"
},
"usageCount": 12,
"lastUsedAt": "2026-07-08T10:15:00.000Z",
"marketingTopicId": null,
"appendPreferencesLink": true,
"localeTranslations": null,
"enabledChannels": [
"sms",
"email",
"whatsapp"
],
"sms": {
"enabled": true,
"payload": {
"content": "Pedido {{codigo}} despachado, {{name}}."
}
},
"whatsapp": {
"enabled": true,
"payload": {
"content": "Ola {{name}}, pedido {{codigo}} saiu para entrega.",
"mediaUrl": null,
"buttons": null
}
},
"telegram": {
"enabled": false,
"payload": {
"content": "",
"mediaUrl": null,
"buttons": null
}
},
"email": {
"enabled": true,
"payload": {
"subject": "Pedido {{codigo}}",
"html": "<p>Ola {{name}}, seu pedido saiu.</p>",
"containerWidth": 600,
"containerPadding": 24,
"imageUrls": null,
"buttons": null
}
},
"rcs": {
"enabled": false,
"payload": {
"messageType": "BASIC",
"message": "",
"payload": null
}
},
"push": {
"enabled": false,
"payload": {
"title": null,
"body": null,
"url": null,
"icon": null,
"image": null,
"data": null
}
},
"voice": {
"enabled": false,
"payload": {
"speakText": "",
"speakVoice": null,
"gather": null
}
},
"createdAt": "2026-06-01T12:00:00.000Z",
"updatedAt": "2026-07-01T09:30:00.000Z"
}
],
"pagination": {
"total": 1,
"page": 1,
"limit": 20,
"totalPages": 1
},
"planLimits": {
"maxTemplates": 100
},
"totalTemplateCount": 1
}Templates
Listar templates
Lista templates do workspace com paginacao.
GET
/
v1
/
templates
Listar templates
curl --request GET \
--url https://api.notifique.dev/v1/templates \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.notifique.dev/v1/templates', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.notifique.dev/v1/templates"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.notifique.dev/v1/templates"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"success": true,
"data": [
{
"id": "cltmpl01abc",
"workspaceId": "clws01xyz",
"name": "alerta_pedido",
"category": "TRANSACTIONAL",
"language": "pt_BR",
"source": null,
"status": "ACTIVE",
"metaId": null,
"type": null,
"components": null,
"variables": [
"codigo",
"name"
],
"variableDefaults": {
"name": "Cliente"
},
"usageCount": 12,
"lastUsedAt": "2026-07-08T10:15:00.000Z",
"marketingTopicId": null,
"appendPreferencesLink": true,
"localeTranslations": null,
"enabledChannels": [
"sms",
"email",
"whatsapp"
],
"sms": {
"enabled": true,
"payload": {
"content": "Pedido {{codigo}} despachado, {{name}}."
}
},
"whatsapp": {
"enabled": true,
"payload": {
"content": "Ola {{name}}, pedido {{codigo}} saiu para entrega.",
"mediaUrl": null,
"buttons": null
}
},
"telegram": {
"enabled": false,
"payload": {
"content": "",
"mediaUrl": null,
"buttons": null
}
},
"email": {
"enabled": true,
"payload": {
"subject": "Pedido {{codigo}}",
"html": "<p>Ola {{name}}, seu pedido saiu.</p>",
"containerWidth": 600,
"containerPadding": 24,
"imageUrls": null,
"buttons": null
}
},
"rcs": {
"enabled": false,
"payload": {
"messageType": "BASIC",
"message": "",
"payload": null
}
},
"push": {
"enabled": false,
"payload": {
"title": null,
"body": null,
"url": null,
"icon": null,
"image": null,
"data": null
}
},
"voice": {
"enabled": false,
"payload": {
"speakText": "",
"speakVoice": null,
"gather": null
}
},
"createdAt": "2026-06-01T12:00:00.000Z",
"updatedAt": "2026-07-01T09:30:00.000Z"
}
],
"pagination": {
"total": 1,
"page": 1,
"limit": 20,
"totalPages": 1
},
"planLimits": {
"maxTemplates": 100
},
"totalTemplateCount": 1
}Autorizações
BearerAuthApiKeyHeader
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Parâmetros de consulta
Intervalo obrigatório:
x >= 1Intervalo obrigatório:
1 <= x <= 100Filtro por nome
Esta página foi útil?
⌘I

